import 'package:http/http.dart' as http;

/// Simple example for a data provider.
///
/// Acts as the access object to actual data
/// like access to a REST interface or a local/online database.
class SampleDataProvider {
  Future<http.Response> fetchPosts() async {
    return http.get("https://jsonplaceholder.typicode.com/posts");
  }

  Future<http.Response> fetchPostComments(int id) async {
    return http.get("https://jsonplaceholder.typicode.com/posts/$id/comments");
  }
}
